Bug 45951 - Provide support for renaming JSESSIONID
Provide support for renaming JSESSIONID
Product: Tomcat 6
Classification: Unclassified
Component: Catalina
All Mac OS X 10.4
: P2 normal (vote)
: default
Assigned To: Tomcat Developers Mailing List
Depends on:
  Show dependency tree
Reported: 2008-10-05 15:15 UTC by André-John Mas
Modified: 2008-10-27 07:39 UTC (History)
0 users

Diff to add support for changing the value of JSESSIONID (586 bytes, text/plain)
2008-10-05 15:15 UTC, André-John Mas

Note You need to log in before you can comment on or make changes to this bug.
Description André-John Mas 2008-10-05 15:15:52 UTC
Created attachment 22673 [details]
Diff to add support for changing the value of JSESSIONID

When Tomcat is used in conjunction with other application servers behind an Apache HTTPD proxy connection, the session cookie JSESSIONID will be over-written be each other. 

The solution is to allow the JSESSIONID cookie to be renamed to something else. Equivalent support is already provided by JBOSS and Weblogic.

The purpose of this ticket is to mirror the bug opened for Tomcat 5. The bug number is bug 42419. I attached a patch to that bug to allow for the requested functionality and have added an equivalent for Tomcat 6 to this ticket.
Comment 1 Mark Thomas 2008-10-06 11:41:10 UTC
A broader patch has been committed that additionally:
- makes the path name parameter configurable
- provides documentation

This has been committed to trunk and proposed for 6.0.x
Comment 2 Mark Thomas 2008-10-27 07:39:59 UTC
This has been applied to 6.0.x and will be in 6.0.19 onwards.